%define subrel 1
Name:          sun-annotation-1.0-api
Version:       1.0
Release:       %mkrel 3
Summary:       Common Annotations 1.0 API
Group:         Development/Java
License:       CDDL, GPLv2
Url:           http://jcp.org/aboutJava/communityprocess/final/jsr250/index.html
Source0:       http://download.java.net/maven/1/javax.annotation/java-sources/jsr250-api-1.0-sources.jar
Source1:       http://download.java.net/maven/1/javax.annotation/poms/jsr250-api-1.0.pom
Source2:       sun-annotation-1.0-api-build.properties
Source3:       sun-annotation-1.0-api-build.xml

BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch


%description
The Common Annotations for the JavaTM Platform 1.0 API
according to JSR-250.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Common Annotations 1.0 API.

This package contains javadoc for %{name}.

%prep
%setup -q -c %{name}-%{version}
mkdir -p src/java
mv javax src/java
cp %{SOURCE2} build.properties
cp %{SOURCE3} build.xml

%build
export JAVA_HOME=/usr/lib/jvm/java
ant release
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_javadir}
install -m 644 annotation.jar %{buildroot}%{_javadir}/%{name}.jar

# TODO manage with alternatives
#(
#	cd %{buildroot}%{_javadir}
#	ln -s %{name}.jar annotation_1_0_api.jar
#	ln -s %{name}.jar annotation_api.jar
#)

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build/release/docs/javadocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Sat May 16 2015 neoclust <neoclust> 1.0-3.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 519312
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 383739
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 06 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 132017
- Build with Java6
- Clean spec file

  + gil <gil>
    - imported package sun-annotation-1.0-api


* Sun Jul 31 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm

